# Zuweisung aktualisieren

`PUT https://{tenant}.stamp.eu/rest/employee_skills/{employeeSkill}`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employeeSkill` | string | ja | The employee skill ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `level` | integer | nein |
| `valid_from` | string \| null | nein |
| `valid_until` | string \| null | nein |
| `proof_reference` | string \| null | nein |
| `note` | string \| null | nein |

## Antworten

### 200: `EmployeeSkillResource`

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `data` | object | ja |  |
| `data.id` | string | ja |  |
| `data.employee_id` | string | ja |  |
| `data.skill_id` | string | ja |  |
| `data.skill` | object | nein |  |
| `data.skill.id` | string | ja |  |
| `data.skill.name` | string | ja |  |
| `data.skill.category` | string | ja |  |
| `data.skill.color` | string | ja |  |
| `data.skill.description` | string | ja |  |
| `data.skill.expirable` | string | ja |  |
| `data.skill.is_active` | string | ja |  |
| `data.skill.sort_order` | string | ja |  |
| `data.skill.max_level` | string | ja |  |
| `data.skill.level_labels` | string \| null | ja | Cast to object so the level => label map survives JsonResource serialization (numeric-keyed arrays would be re-indexed to lists) |
| `data.skill.created_at` | string | ja |  |
| `data.skill.updated_at` | string | ja |  |
| `data.level` | string | ja |  |
| `data.valid_from` | string | ja |  |
| `data.valid_until` | string | ja |  |
| `data.proof_reference` | string | ja |  |
| `data.note` | string | ja |  |
| `data.is_expired` | boolean | ja |  |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: Authorization error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
